import { CreateElement } from 'vue';
import { VueNodeT } from '../../vue-definitions.interface';
import { VueBaseContainer } from '../base/vue-index';
export declare class VueApplicationContainer extends VueBaseContainer {
    private static logger;
    private routes;
    /**
     * @stable [21.10.2018]
     * @param {CreateElement} factory
     * @returns {VueNodeT}
     */
    render(factory: CreateElement): VueNodeT;
    /**
     * @stable [23.10.2018]
     * @returns {string}
     */
    private getContainer;
}
