import { IListConfigurationWrapper } from '../../configurations-definitions.interface';
import { IListWrapperEntity, IListEntity, IPagedEntity } from '../../entities-definitions.interface';
import { IUniversalContainerProps } from '../../props-definitions.interface';
/**
 * @stable [05.06.2018]
 */
export interface IUniversalListContainerProps extends IUniversalContainerProps, IListWrapperEntity {
}
/**
 * @stable [05.05.2018]
 */
export interface IListContainerProps extends IUniversalListContainerProps, IListConfigurationWrapper {
}
/**
 * @stable [05.05.2018]
 */
export interface IRnListContainerProps extends IUniversalContainerProps, IListWrapperEntity, IListConfigurationWrapper {
}
/**
 * @stable [05.04.2018]
 */
export declare const INITIAL_APPLICATION_LIST_STATE: IListEntity;
/**
 * @stable [05.08.2018]
 */
export declare const INITIAL_APPLICATION_LIST_MAX_PAGE_STATE: IPagedEntity;
export declare const LIST_LOAD_ACTION_TYPE = "list.load";
export declare const LIST_CANCEL_LOAD_ACTION_TYPE = "list.cancel.load";
export declare const LIST_LAZY_LOAD_ACTION_TYPE = "list.lazy.load";
export declare const LIST_LOAD_DONE_ACTION_TYPE: string;
export declare const LIST_LOAD_ERROR_ACTION_TYPE: string;
export declare const LIST_LAZY_LOAD_DONE_ACTION_TYPE: string;
export declare const LIST_LAZY_LOAD_ERROR_ACTION_TYPE: string;
export declare const LIST_UN_TOUCH_ACTION_TYPE = "list.untouch";
export declare const LIST_DESTROY_ACTION_TYPE = "list.destroy";
export declare const LIST_SELECT_ACTION_TYPE = "list.select";
export declare const LIST_CREATE_ACTION_TYPE = "list.create";
export declare const LIST_EMPTY_MESSAGE_CLICK_ACTION_TYPE = "list.empty.message.click";
export declare const LIST_DESELECT_ACTION_TYPE = "list.deselect";
export declare const LIST_UPDATE_ACTION_TYPE = "list.update";
export declare const LIST_INSERT_ACTION_TYPE = "list.insert";
export declare const LIST_REMOVE_ACTION_TYPE = "list.remove";
export declare const LIST_CHANGE_ACTION_TYPE = "list.change";
export declare const LIST_CHANGE_SORT_DIRECTION_ACTION_TYPE = "list.change.sort.direction";
export declare const LIST_NEXT_PAGE_ACTION_TYPE = "list.next.page";
export declare const LIST_PREVIOUS_PAGE_ACTION_TYPE = "list.previous.page";
export declare const LIST_FIRST_PAGE_ACTION_TYPE = "list.first.page";
export declare const LIST_LAST_PAGE_ACTION_TYPE = "list.last.page";
