/// <reference types="react" />
import { IRnListProps } from '../../props-definitions.interface';
import { IEntity, IKeyValue } from '../../definitions.interface';
import { UniversalList } from './universal-list.component';
export declare class RnList extends UniversalList<RnList, IRnListProps> {
    /**
     * @stable [09.06.2018]
     * @returns {JSX.Element}
     */
    protected getEmptyMessageAction(): JSX.Element;
    /**
     * @stable [09.06.2018]
     * @returns {JSX.Element}
     */
    protected getMessage(): JSX.Element;
    /**
     * @stable - 24.04.2018
     * @returns {JSX.Element}
     */
    protected getView(): JSX.Element;
    /**
     * @stable - 24.04.2018
     * @param {IEntity} entity
     * @param {IKeyValue} separators
     * @returns {JSX.Element}
     */
    protected getItem(entity: IEntity, separators: IKeyValue): JSX.Element;
    protected getAddAction(): JSX.Element;
}
