import { MaterialPlugin } from './material.plugin';
import { TabPanel } from '../../tabpanel';
import { INativeMaterialTabPanelComponent } from '../material.interface';
export declare class TabPanelMaterialPlugin extends MaterialPlugin<TabPanel, INativeMaterialTabPanelComponent> {
    private static OFFSET_FACTOR;
    /**
     * @stable [30.05.2018]
     * @param {TabPanel} tabPanel
     */
    constructor(tabPanel: TabPanel);
    /**
     * @stable [15.08.2018]
     */
    private onBackward;
    /**
     * @stable [15.08.2018]
     */
    private onForward;
    /**
     * @stable [15.08.2018]
     * @returns {number}
     */
    private readonly offset;
}
