import { IApplicationTransport, ITransportRequestEntity, ITransportRequestParamsEntity } from './transport.interface';
export declare class TransportService implements IApplicationTransport {
    private store;
    private transportFactory;
    toRequestParams(req: ITransportRequestEntity): ITransportRequestParamsEntity;
    request<TResponse>(req: ITransportRequestEntity): Promise<TResponse>;
    cancelRequest(operationId: string): void;
    private onRequest;
    private onRequestDone;
    /**
     * @stable [17.08.2018]
     * @param {ITransportRequestEntity} req
     */
    private onRequestCancel;
    private onRequestError;
    /**
     * @stable [17.08.2018]
     * @param {ITransportRequestEntity} req
     * @returns {ITransportResponseEntity}
     */
    private toRequestMetaData;
}
