/// <reference types="react" />
import { IGridColumnProps } from '../../../props-definitions.interface';
import { BaseGridColumn } from '../base-column/base-grid-column.component';
export declare class GridColumn extends BaseGridColumn<GridColumn, IGridColumnProps> {
    /**
     * @stable [10.09.2018]
     * @param {IGridColumnProps} props
     */
    constructor(props: IGridColumnProps);
    /**
     * @stable [10.09.2018]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [10.09.2018]
     * @param {IBasicEvent} event
     */
    private onColumnClick;
}
