"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DI_TYPES = {
    Api: Symbol('Api'),
    Auth: Symbol('Auth'),
    Channel: Symbol('Channel'),
    DateConverter: Symbol('DateConverter'),
    DomAccessor: Symbol('DomAccessor'),
    GeoCoder: Symbol('GeoCoder'),
    NumberConverter: Symbol('NumberConverter'),
    DynamicRoutes: Symbol('DynamicRoutes'),
    EventManager: Symbol('EventManager'),
    Lock: Symbol('Lock'),
    ModifyEntityPayloadFactory: Symbol('ModifyEntityPayloadFactory'),
    Menu: Symbol('Menu'),
    FieldsOptions: Symbol('FieldsOptions'),
    Permission: Symbol('Permission'),
    Router: Symbol('Router'),
    Routes: Symbol('Routes'),
    Settings: Symbol('Settings'),
    Storage: Symbol('Storage'),
    StorageHelper: Symbol('StorageHelper'),
    NotVersionedSessionStorage: Symbol('NotVersionedSessionStorage'),
    NotVersionedPersistentStorage: Symbol('NotVersionedPersistentStorage'),
    CloudStorage: Symbol('CloudStorage'),
    CloudFileStorage: Symbol('CloudFileStorage'),
    Store: Symbol('Store'),
    Translate: Symbol('Translate'),
    Transport: Symbol('Transport'),
    TransportFactory: Symbol('TransportFactory'),
    TransportTokenAccessor: Symbol('TransportTokenAccessor'),
    TransportRequestFactory: Symbol('TransportRequestFactory'),
    TransportPayloadAnalyzer: Symbol('TransportPayloadAnalyzer'),
    TransportErrorInterceptor: Symbol('TransportErrorInterceptor'),
    UIPlugins: Symbol('UIPlugins'),
    UIFactory: Symbol('UIFactory'),
};
//# sourceMappingURL=di.interface.js.map