import { IApplicationTransportFactory, ITransportRawResponse, ITransportRequestEntity, ITransportRequestParamsEntity } from './transport.interface';
export declare class FetchJsonTransportFactory implements IApplicationTransportFactory {
    private settings;
    request(req: ITransportRequestEntity): Promise<ITransportRawResponse>;
    cancelRequest(operationId: string): void;
    toRequestParams(req: ITransportRequestEntity): ITransportRequestParamsEntity;
}
