import { ITransportRawResponse, IApplicationTransportFactory, ITransportRequestEntity, ITransportRequestParamsEntity } from './transport.interface';
export declare class TransportFactory implements IApplicationTransportFactory {
    private static logger;
    private static CANCEL_MESSAGE;
    private id;
    private operationsMap;
    private settings;
    private requestFactory;
    private tokenAccessor;
    request(req: ITransportRequestEntity): Promise<ITransportRawResponse>;
    cancelRequest(operationId: string): void;
    toRequestParams(req: ITransportRequestEntity): ITransportRequestParamsEntity;
    protected getResponseData(res: any): any;
    protected getRequestData(req: ITransportRequestEntity): ITransportRequestParamsEntity | Blob;
    private clearOperation;
}
