"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function sequence(sourceFn, nextFn, nextFnScope) {
    return function () {
        sourceFn.apply(this, arguments);
        nextFn.apply(nextFnScope || this, arguments);
    };
}
exports.sequence = sequence;
/* tslint:disable */
function noop() {
}
exports.noop = noop;
//# sourceMappingURL=fn.js.map